import type { Content, ContentErrors, JSONEditorPropsOptional, JSONEditorSelection, JSONParser, JSONPatchResult, JSONPathParser, OnBlur, OnChange, OnChangeMode, OnChangeQueryLanguage, OnClassName, OnError, OnExpand, OnFocus, OnRenderMenu, OnRenderValue, OnSelect, QueryLanguage, TransformModalOptions, Validator } from '../types';
import type { OnRenderContextMenu } from '../types.js';
import { Mode } from '../types.js';
import type { JSONPatchDocument, JSONPath } from 'immutable-json-patch';
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const JsonEditor: $$__sveltets_2_IsomorphicComponent<{
    content?: Content;
    selection?: JSONEditorSelection | undefined;
    readOnly?: boolean;
    indentation?: number | string;
    tabSize?: number;
    truncateTextSize?: number;
    mode?: Mode;
    mainMenuBar?: boolean;
    navigationBar?: boolean;
    statusBar?: boolean;
    askToFormat?: boolean;
    escapeControlCharacters?: boolean;
    escapeUnicodeCharacters?: boolean;
    flattenColumns?: boolean;
    parser?: JSONParser;
    validator?: Validator | undefined;
    validationParser?: JSONParser;
    pathParser?: JSONPathParser;
    queryLanguages?: QueryLanguage[];
    queryLanguageId?: string;
    onChangeQueryLanguage?: OnChangeQueryLanguage;
    onChange?: OnChange | undefined;
    onSelect?: OnSelect | undefined;
    onRenderValue?: OnRenderValue;
    onClassName?: OnClassName;
    onRenderMenu?: OnRenderMenu;
    onRenderContextMenu?: OnRenderContextMenu;
    onChangeMode?: OnChangeMode;
    onError?: OnError;
    onFocus?: OnFocus;
    onBlur?: OnBlur;
    get?: () => Content;
    set?: (newContent: Content) => void;
    update?: (updatedContent: Content) => void;
    patch?: (operations: JSONPatchDocument) => JSONPatchResult;
    select?: (newSelection: JSONEditorSelection | undefined) => void;
    expand?: (path: JSONPath, callback?: OnExpand) => void;
    collapse?: (path: JSONPath, recursive?: boolean) => void;
    transform?: (options?: TransformModalOptions) => void;
    validate?: () => ContentErrors | undefined;
    acceptAutoRepair?: () => Content;
    scrollTo?: (path: JSONPath) => Promise<void>;
    findElement?: (path: JSONPath) => Element | undefined;
    focus?: () => void;
    refresh?: () => Promise<void>;
    updateProps?: (props: JSONEditorPropsOptional) => void;
    destroy?: () => Promise<void>;
}, {
    [evt: string]: CustomEvent<any>;
}, {}, {
    get: () => Content;
    set: (newContent: Content) => void;
    update: (updatedContent: Content) => void;
    patch: (operations: JSONPatchDocument) => JSONPatchResult;
    select: (newSelection: JSONEditorSelection | undefined) => void;
    expand: (path: JSONPath, callback?: OnExpand) => void;
    collapse: (path: JSONPath, recursive?: boolean) => void;
    transform: (options?: TransformModalOptions) => void;
    validate: () => ContentErrors | undefined;
    acceptAutoRepair: () => Content;
    scrollTo: (path: JSONPath) => Promise<void>;
    findElement: (path: JSONPath) => Element | undefined;
    focus: () => void;
    refresh: () => Promise<void>;
    updateProps: (props: JSONEditorPropsOptional) => void;
    destroy: () => Promise<void>;
}, string>;
type JsonEditor = InstanceType<typeof JsonEditor>;
export default JsonEditor;
