import type { Content, ContentErrors, JSONEditorSelection, JSONParser, JSONPatchResult, JSONPathParser, OnBlur, OnChange, OnChangeMode, OnClassName, OnError, OnExpand, OnFocus, OnJSONEditorModal, OnRenderContextMenu, OnRenderMenu, OnRenderValue, OnSelect, OnSortModal, OnTransformModal, TransformModalOptions, Validator } from '../../types';
import { Mode } from '../../types.js';
import type { JSONPatchDocument, JSONPath } from 'immutable-json-patch';
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const JsonEditorRoot: $$__sveltets_2_IsomorphicComponent<{
    content: Content;
    selection: JSONEditorSelection | undefined;
    readOnly: boolean;
    indentation: number | string;
    tabSize: number;
    truncateTextSize: number;
    externalMode: Mode;
    mainMenuBar: boolean;
    navigationBar: boolean;
    statusBar: boolean;
    askToFormat: boolean;
    escapeControlCharacters: boolean;
    escapeUnicodeCharacters: boolean;
    flattenColumns: boolean;
    parser: JSONParser;
    parseMemoizeOne: JSONParser["parse"];
    validator: Validator | undefined;
    validationParser: JSONParser;
    pathParser: JSONPathParser;
    insideModal: boolean;
    onChange: OnChange;
    onChangeMode: OnChangeMode;
    onSelect: OnSelect;
    onRenderValue: OnRenderValue;
    onClassName: OnClassName;
    onRenderMenu: OnRenderMenu;
    onRenderContextMenu: OnRenderContextMenu;
    onError: OnError;
    onFocus: OnFocus;
    onBlur: OnBlur;
    onSortModal: OnSortModal;
    onTransformModal: OnTransformModal;
    onJSONEditorModal: OnJSONEditorModal;
    patch?: (operations: JSONPatchDocument) => JSONPatchResult;
    expand?: (path: JSONPath, callback?: OnExpand) => void;
    collapse?: (path: JSONPath, recursive: boolean) => void;
    transform?: (options: TransformModalOptions) => void;
    validate?: () => ContentErrors | undefined;
    acceptAutoRepair?: () => Content;
    scrollTo?: (path: JSONPath) => Promise<void>;
    findElement?: (path: JSONPath) => Element | undefined;
    focus?: () => void;
    refresh?: () => Promise<void>;
}, {
    [evt: string]: CustomEvent<any>;
}, {}, {
    patch: (operations: JSONPatchDocument) => JSONPatchResult;
    expand: (path: JSONPath, callback?: OnExpand) => void;
    collapse: (path: JSONPath, recursive: boolean) => void;
    transform: (options: TransformModalOptions) => void;
    validate: () => ContentErrors | undefined;
    acceptAutoRepair: () => Content;
    scrollTo: (path: JSONPath) => Promise<void>;
    findElement: (path: JSONPath) => Element | undefined;
    focus: () => void;
    refresh: () => Promise<void>;
}, string>;
type JsonEditorRoot = InstanceType<typeof JsonEditorRoot>;
export default JsonEditorRoot;
