import type { AfterPatchCallback, Content, ContentErrors, History, HistoryItem, JSONEditorSelection, JSONParser, JSONPatchResult, OnBlur, OnChange, OnChangeMode, OnFocus, OnJSONEditorModal, OnRedo, OnRenderContextMenuInternal, OnRenderMenuInternal, OnRenderValue, OnSelect, OnSortModal, OnTransformModal, OnUndo, ScrollToOptions, TransformModalOptions, Validator } from '../../../types';
import { type JSONPatchDocument, type JSONPath } from 'immutable-json-patch';
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const TableMode: $$__sveltets_2_IsomorphicComponent<{
    readOnly: boolean;
    externalContent: Content;
    externalSelection: JSONEditorSelection | undefined;
    history: History<HistoryItem>;
    truncateTextSize: number;
    mainMenuBar: boolean;
    escapeControlCharacters: boolean;
    escapeUnicodeCharacters: boolean;
    flattenColumns: boolean;
    parser: JSONParser;
    parseMemoizeOne: JSONParser["parse"];
    validator: Validator | undefined;
    validationParser: JSONParser;
    indentation: number | string;
    onChange: OnChange;
    onChangeMode: OnChangeMode;
    onSelect: OnSelect;
    onUndo: OnUndo;
    onRedo: OnRedo;
    onRenderValue: OnRenderValue;
    onRenderMenu: OnRenderMenuInternal;
    onRenderContextMenu: OnRenderContextMenuInternal;
    onFocus: OnFocus;
    onBlur: OnBlur;
    onSortModal: OnSortModal;
    onTransformModal: OnTransformModal;
    onJSONEditorModal: OnJSONEditorModal;
    validate?: () => ContentErrors | undefined;
    patch?: (operations: JSONPatchDocument, afterPatch?: AfterPatchCallback) => JSONPatchResult;
    focus?: () => void;
    acceptAutoRepair?: () => {
        json: unknown;
        text: string | undefined;
    };
    scrollTo?: (path: JSONPath, { scrollToWhenVisible }?: ScrollToOptions) => Promise<void>;
    findElement?: (path: JSONPath) => Element | undefined;
    openTransformModal?: (options: TransformModalOptions) => void;
}, {
    [evt: string]: CustomEvent<any>;
}, {}, {
    validate: () => ContentErrors | undefined;
    patch: (operations: JSONPatchDocument, afterPatch?: AfterPatchCallback) => JSONPatchResult;
    focus: () => void;
    acceptAutoRepair: () => {
        json: unknown;
        text: string | undefined;
    };
    scrollTo: (path: JSONPath, { scrollToWhenVisible }?: ScrollToOptions) => Promise<void>;
    findElement: (path: JSONPath) => Element | undefined;
    openTransformModal: (options: TransformModalOptions) => void;
}, string>;
type TableMode = InstanceType<typeof TableMode>;
export default TableMode;
