import { type JSONPatchDocument, type JSONPath } from 'immutable-json-patch';
import type { AfterPatchCallback, Content, ContentErrors, History, HistoryItem, JSONEditorSelection, JSONParser, JSONPatchResult, JSONPathParser, OnBlur, OnChange, OnChangeMode, OnClassName, OnError, OnExpand, OnFocus, OnJSONEditorModal, OnRedo, OnRenderContextMenuInternal, OnRenderMenuInternal, OnRenderValue, OnSelect, OnSortModal, OnTransformModal, OnUndo, ScrollToOptions, TransformModalOptions, Validator } from '../../../types';
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const TreeMode: $$__sveltets_2_IsomorphicComponent<{
    readOnly: boolean;
    externalContent: Content;
    externalSelection: JSONEditorSelection | undefined;
    history: History<HistoryItem>;
    truncateTextSize: number;
    mainMenuBar: boolean;
    navigationBar: boolean;
    escapeControlCharacters: boolean;
    escapeUnicodeCharacters: boolean;
    parser: JSONParser;
    parseMemoizeOne: JSONParser["parse"];
    validator: Validator | undefined;
    validationParser: JSONParser;
    pathParser: JSONPathParser;
    indentation: number | string;
    onError: OnError;
    onChange: OnChange;
    onChangeMode: OnChangeMode;
    onSelect: OnSelect;
    onUndo: OnUndo;
    onRedo: OnRedo;
    onRenderValue: OnRenderValue;
    onRenderMenu: OnRenderMenuInternal;
    onRenderContextMenu: OnRenderContextMenuInternal;
    onClassName: OnClassName | undefined;
    onFocus: OnFocus;
    onBlur: OnBlur;
    onSortModal: OnSortModal;
    onTransformModal: OnTransformModal;
    onJSONEditorModal: OnJSONEditorModal;
    expand?: (path: JSONPath, callback?: OnExpand) => void;
    collapse?: (path: JSONPath, recursive: boolean) => void;
    validate?: () => ContentErrors | undefined;
    getJson?: () => unknown;
    patch?: (operations: JSONPatchDocument, afterPatch?: AfterPatchCallback) => JSONPatchResult;
    acceptAutoRepair?: () => Content;
    openTransformModal?: (options: TransformModalOptions) => void;
    scrollTo?: (path: JSONPath, { scrollToWhenVisible, element }?: ScrollToOptions) => Promise<void>;
    findElement?: (path: JSONPath) => Element | undefined;
    findSearchResult?: (resultIndex: number) => Element | undefined;
    focus?: () => void;
}, {
    [evt: string]: CustomEvent<any>;
}, {}, {
    expand: (path: JSONPath, callback?: OnExpand) => void;
    collapse: (path: JSONPath, recursive: boolean) => void;
    validate: () => ContentErrors | undefined;
    getJson: () => unknown;
    patch: (operations: JSONPatchDocument, afterPatch?: AfterPatchCallback) => JSONPatchResult;
    acceptAutoRepair: () => Content;
    openTransformModal: (options: TransformModalOptions) => void;
    scrollTo: (path: JSONPath, { scrollToWhenVisible, element }?: ScrollToOptions) => Promise<void>;
    findElement: (path: JSONPath) => Element | undefined;
    findSearchResult: (resultIndex: number) => Element | undefined;
    focus: () => void;
}, string>;
type TreeMode = InstanceType<typeof TreeMode>;
export default TreeMode;
