import JsonEditor from './components/JSONEditor.svelte';
import type { JSONEditorPropsOptional } from './types';
import { mount } from 'svelte';
export * from './index';
export interface CreateJSONEditorProps {
    target: HTMLDivElement;
    props: JSONEditorPropsOptional;
}
export { JsonEditor };
export declare function createJSONEditor({ target, props }: Parameters<typeof mount>[1]): JsonEditor;
/**
 * @deprecated The constructor "new JSONEditor(...)" is deprecated. Please use "createJSONEditor(...)" instead.
 */
export declare function JSONEditor({ target, props }: CreateJSONEditorProps): import("svelte").SvelteComponent<{
    content?: import("./types").Content;
    selection?: import("./types").JSONEditorSelection | undefined;
    readOnly?: boolean;
    indentation?: number | string;
    tabSize?: number;
    truncateTextSize?: number;
    mode?: import("./types").Mode;
    mainMenuBar?: boolean;
    navigationBar?: boolean;
    statusBar?: boolean;
    askToFormat?: boolean;
    escapeControlCharacters?: boolean;
    escapeUnicodeCharacters?: boolean;
    flattenColumns?: boolean;
    parser?: import("./types").JSONParser;
    validator?: import("./types").Validator | undefined;
    validationParser?: import("./types").JSONParser;
    pathParser?: import("./types").JSONPathParser;
    queryLanguages?: import("./types").QueryLanguage[];
    queryLanguageId?: string;
    onChangeQueryLanguage?: import("./types").OnChangeQueryLanguage;
    onChange?: import("./types").OnChange | undefined;
    onSelect?: import("./types").OnSelect | undefined;
    onRenderValue?: import("./types").OnRenderValue;
    onClassName?: import("./types").OnClassName;
    onRenderMenu?: import("./types").OnRenderMenu;
    onRenderContextMenu?: import("./types").OnRenderContextMenu;
    onChangeMode?: import("./types").OnChangeMode;
    onError?: import("./types").OnError;
    onFocus?: import("./types").OnFocus;
    onBlur?: import("./types").OnBlur;
    get?: () => import("./types").Content;
    set?: (newContent: import("./types").Content) => void;
    update?: (updatedContent: import("./types").Content) => void;
    patch?: (operations: import("immutable-json-patch").JSONPatchDocument) => import("./types").JSONPatchResult;
    select?: (newSelection: import("./types").JSONEditorSelection | undefined) => void;
    expand?: (path: import("immutable-json-patch").JSONPath, callback?: import("./types").OnExpand) => void;
    collapse?: (path: import("immutable-json-patch").JSONPath, recursive?: boolean) => void;
    transform?: (options?: import("./types").TransformModalOptions) => void;
    validate?: () => import("./types").ContentErrors | undefined;
    acceptAutoRepair?: () => import("./types").Content;
    scrollTo?: (path: import("immutable-json-patch").JSONPath) => Promise<void>;
    findElement?: (path: import("immutable-json-patch").JSONPath) => Element | undefined;
    focus?: () => void;
    refresh?: () => Promise<void>;
    updateProps?: (props: JSONEditorPropsOptional) => void;
    destroy?: () => Promise<void>;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> & {
    $$bindings?: string | undefined;
} & {
    get: () => import("./types").Content;
    set: (newContent: import("./types").Content) => void;
    update: (updatedContent: import("./types").Content) => void;
    patch: (operations: import("immutable-json-patch").JSONPatchDocument) => import("./types").JSONPatchResult;
    select: (newSelection: import("./types").JSONEditorSelection | undefined) => void;
    expand: (path: import("immutable-json-patch").JSONPath, callback?: import("./types").OnExpand) => void;
    collapse: (path: import("immutable-json-patch").JSONPath, recursive?: boolean) => void;
    transform: (options?: import("./types").TransformModalOptions) => void;
    validate: () => import("./types").ContentErrors | undefined;
    acceptAutoRepair: () => import("./types").Content;
    scrollTo: (path: import("immutable-json-patch").JSONPath) => Promise<void>;
    findElement: (path: import("immutable-json-patch").JSONPath) => Element | undefined;
    focus: () => void;
    refresh: () => Promise<void>;
    updateProps: (props: JSONEditorPropsOptional) => void;
    destroy: () => Promise<void>;
};
