import type { ContentErrors, JSONParser, RecursiveStateFactory, ValidationErrors, ValidationError, Validator } from '../types.js';
import type { JSONPath } from 'immutable-json-patch';
export declare const validationErrorsFactory: RecursiveStateFactory;
export declare function updateInValidationErrors(json: unknown, errors: ValidationErrors | undefined, path: JSONPath, transform: (value: unknown, state: ValidationErrors) => ValidationErrors): ValidationErrors;
/**
 * Create a flat map with validation errors, where the key is the stringified path
 * and also create error messages for the parent nodes of the nodes having an error.
 *
 * Returns a nested object containing the validation errors
 */
export declare function toRecursiveValidationErrors(json: unknown, validationErrors: ValidationError[]): ValidationErrors | undefined;
export declare function validateJSON(json: unknown, validator: Validator | undefined, parser: JSONParser, validationParser: JSONParser): ValidationError[];
export declare function validateText(text: string, validator: Validator | undefined, parser: JSONParser, validationParser: JSONParser): ContentErrors | undefined;
